<!-- this is where the builder component would go. -->
<!-- we would be able to see all page configs that were passed -->
<!-- from the router via the application. -->
<!-- we can then select NEW PAGE, or existing pages. -->
<!-- the page is then viewable below. -->
<!-- so we could route to the page, with the name -->
<!-- of the page in the url? -->
<button (click)="newPage()">New Page</button>

<router-outlet></router-outlet>
<!-- <ui-page  -->
